# Deployer Information

System toolbar information about last deployment, fetched from different deployment types

## How to install

```bash
composer require spooner/deployer-information
```

## Deployment types to be handled

If one of the following deployment is found, the information is displayed.

1. Deployer
2. Custom (Modified datetime of file `LAST_DEPLOY` in project root)

## How to configure your deployment

### Deployer

You don't need to do anything. The extension looks for the default folder and files of a release.

### Custom

You need to touch the file `LAST_DEPLOY` in your project root (normally it's not the document root, but it can be).<br>
The extension looks for this file and creates the datetime of the last change (the last touch).

You can touch a file with

```bash
touch LAST_DEPLOY
```

## I need special behaviour for my deployment

No problem. Just create [an issue](https://git.spooner.io/spooner/deployer_information/-/issues) and I'll adapt your deployment type.
