<?php
defined('TYPO3_MODE') || die('Access denied.');

// Register
call_user_func(function () {
    if (TYPO3_MODE === 'BE' && !(TYPO3_REQUESTTYPE & TYPO3_REQUESTTYPE_INSTALL)) {
        $iconRegistry = \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Core\Imaging\IconRegistry::class);
        $iconRegistry->registerIcon(
            'deployer-information',
            \TYPO3\CMS\Core\Imaging\IconProvider\SvgIconProvider::class,
            ['source' => 'EXT:deployer_information/Resources/Public/Icons/Extension.svg']
        );

        \TYPO3\CMS\Core\Utility\GeneralUtility::makeInstance(\TYPO3\CMS\Extbase\SignalSlot\Dispatcher::class)
            ->connect(
                \TYPO3\CMS\Backend\Backend\ToolbarItems\SystemInformationToolbarItem::class,
                'getSystemInformation',
                \SpoonerWeb\DeployerInformation\ToolbarItem\LastDeployInformation::class,
                'addLastDeployInformation'
            );
    }
});